[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.ChildKey

Allows a parent form to process a keyboard message in one of its child controls.

## Declaration

Source position: controls.pp line 2265

`protected function TWinControl.ChildKey(`
`var Message: TLMKey`
`):Boolean; virtual;`

## Arguments

`Message` |  | Child key message handled in the method.

## Function result

True if the key message was handled.

## Description

Remark: | WantChildKey in TCustomForm always returns False.

## See also

TWinControl.DoRemainingKeyDown |  | Handles key down messages which are not handled by the widget.
TCustomForm.WantChildKey |  | Indicates if key messages in a child control are handled in the message processing loop for the form.